import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TabPaneComponent {
    isTitleString: boolean;
    private _title;
    content: TemplateRef<void>;
    get title(): string | TemplateRef<void>;
    set title(value: string | TemplateRef<void>);
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<TabPaneComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TabPaneComponent, "TabPane, nzm-tab-pane", never, { "title": "title"; }, {}, never, ["*"]>;
}
